<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/**
 * zsb
 *
 * 出teg类
 *
 * @package         zsb
 * @author          EllisLab Dev Team
 * @copyright      Copyright (c) 2006 - 2014, HOUSE365, Inc.
 * @link            http://nj.sell.house.com
 * @since           Version 1.0
 * @filesource
 */

// ------------------------------------------------------------------------

/**
 * Rent_base_model CLASS
 *
 * 出租类
 *
 * @package         zsb
 * @subpackage      Models
 * @category        Models
 * @author          sun
 * @link            
 */
load_m("house_base_model");
class Rent_base_model extends House_base_model {

    /**
     * 类初始化
     */
    public function __construct() 
    {
        $this->set_tbl('rent');
        parent::__construct();
    }
    
    /**
     * 插入房源数据
     * @param array $insert_data 插入房源数组
     * @return int 成功后返回房源id编号，失败后返回false
     */
    public function insert($insert_data) 
    {
        //暂不验证字段
        return $this->insert_data($insert_data);
    }
    
    /**
     * 更新房源数据
     * @param array $update_data  更新字段数组
     * @param array $ids 房源编号数组
     * @return int 返回受影响的行数
     */
    public function update($update_data, $ids, $uid = '')
    {
        return $this->update_data($update_data, $ids, $uid);
    }
    
    /**
     * 删除房源数据
     * @param array or int $ids 房源编号数组或者数值的房源编号
     * @return int 返回受影响的行数
     */
    public function delete($ids, $uid = '')
    {
        return $this->delete($ids, $uid);
    }
}

/* End of file rent_base_model.php */
/* Location: ./zsb/model/rent_base_model.php */